Bug 19100 - WebKit can no longer fined URL with VoiceOVer-U command
Summary: WebKit can no longer fined URL with VoiceOVer-U command
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Accessibility (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh OS X 10.5
: P2 Major
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2008-05-16 07:05 PDT by Greg Kearney
Modified: 2008-05-20 15:20 PDT (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Greg Kearney 2008-05-16 07:05:00 PDT
Go to any page with URL links with VoiceOver running. Perform the VoiceOver-U (control-option-u) command. You will get an empty menu of URL's even if there are URL's on the page. This is a new issue.
Comment 1 Alexey Proskuryakov 2008-05-16 10:13:55 PDT
Thank you for the bug report!

Do you know with which revision of WebKit this has started, perhaps approximately?
Comment 2 Greg Kearney 2008-05-16 10:15:36 PDT
I'm not sure first noticed it with the current one.
Comment 3 Alexey Proskuryakov 2008-05-16 11:29:09 PDT
<rdar://problem/5942076>
Comment 4 Alexey Proskuryakov 2008-05-18 21:43:13 PDT
Fixed in <http://trac.webkit.org/projects/webkit/changeset/33568>.
Comment 5 Greg Kearney 2008-05-20 06:39:08 PDT
This bug has not been fixed go to any page with link with VoiceOVer running. openthe VoiceOver URL menu with control-option-u

You will get an empty menu and not the list of URL links as you should.

I tested this with the latest nightly build today.
Comment 6 Alexey Proskuryakov 2008-05-20 15:04:34 PDT
This is strange - could you please double-check that your are using a version newer than r33568? If you do, could you please provide some examples of sites where you are seeing this?
Comment 7 Greg Kearney 2008-05-20 15:20:58 PDT
Seems to be fixed with the latest build.